QGIS Application - Bug report #21296
Regressions in processing "Tile Index™ tool
2019-02-18 02:08 AM - Alister Hood

Status: Closed

Priority: High

Assignee: Nyall Dawson
Category: Processing/GDAL

Affected QGIS version:3.4.4
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 29114

Description

Issue 1:

The processing "Tile Index" tool in QGIS 3.x is equivalent to the one in 2.x. However, "Raster>Miscellaneous>Tile Index..." now uses the
processing tool, whereas in 2.x series it was a separate implementation, which must have somehow run the gdaltindex command in a
different way, because it could handle more files.

| have 151 rasters here with 88 character long paths.

In both 2.x and 3.x the processing tool produces the error "The command line is too long."

But the tool in the 2.x menu runs perfectly, even though the command it displays is significantly longer (for two reasons - it tries to use the
aux.xml files in the input directory, as well as the tif files, and it also uses \\ in each path for all except the last directory separator, rather
than /). So, whatever method that tool was using to run the command, it was superior (also note that the whole point of this tool is that you
have a LOT of rasters - | don't think 151 is an unreasonably high number).

This could be considered a regression, because the old gdaltools tool which supported more input files has been superseded by the
processing tool.

This testing is under Windows, and | doubt this issue would occur on a real operating system.

Issue 2:

If 1 only select a small number of rasters, the processing tool succeeds in 2.x, but not in 3.x. This is because the path to each raster
includes a space, and 3.x is not separately quoting the path to each raster, it is putting one set of quotes around the entire list of input
files.

These are the error messages (I have replaced the list of paths, obviously):

ERROR 4: Entire/list of/paths: No such file or directory

Unable to open Entire/list of/paths, skipping.

This problem is a regression by any definition, and I'm guessing it is not specific to Windows, but | haven't checked.

Associated revisions

Revision 342c093d - 2019-02-19 03:55 AM - Nyall Dawson

[processing] Use text file for input file list to gdal tile index alg

Avoids too long command being generated with many inputs

Fixes #21296

Revision e9b2e144 - 2019-02-20 05:50 PM - Nyall Dawson
[processing] Use text file for input file list to gdal tile index alg

Avoids too long command being generated with many inputs

Fixes #21296

(cherry picked from commit 342c093d91d497d322b66b3c02e502dd9fae2e12)

History

#1 - 2019-02-18 06:43 AM - Nyall Dawson
- Assignee set to Nyall Dawson
- Status changed from Open to In Progress

#2 - 2019-02-18 01:11 PM - Giovanni Manghi
- Priority changed from Normal to High

#3 - 2019-02-19 03:54 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|342c093d91d497d322b66b3c02e502dd9fae2e12.
